Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.data.engine.api
Interface IComputedColumn

All Known Implementing Classes:
  ComputedColumn

    public interface IComputedColumn

Describes a computed column defined for a data set, or a report query. A computed column has a name, and an JavaScript expression used to caculate value of the column.

Method Summary
`java.util.List` | `getAggregateArgument()` Return aggregation arguments of this computed column if it is an aggregation.
`IScriptExpression` | `getAggregateFilter()` Return the filter of this computed column if it is an aggregation.
`java.lang.String` | `getAggregateFunction()` Return the aggregation function.
`int` | `getDataType()` Gets the data type of the computed column.
`IBaseExpression` | `getExpression()` Gets the expression of the computed column
`java.lang.String` | `getName()` Gets the name of the computed column

Method Detail

### getName

    java.lang.String getName()

  Gets the name of the computed column

### getExpression

    IBaseExpression getExpression()

  Gets the expression of the computed column

### getDataType

    int getDataType()

  Gets the data type of the computed column.

  Returns:
    Data type as an integer.

### getAggregateFunction

    java.lang.String getAggregateFunction()

  Return the aggregation function.

  Returns:

### getAggregateFilter

    IScriptExpression getAggregateFilter()

  Return the filter of this computed column if it is an aggregation.

  Returns:

### getAggregateArgument

    java.util.List getAggregateArgument()

  Return aggregation arguments of this computed column if it is an aggregation.

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.